Page MenuHomePhabricator

Wikipedia.org: translations for legal language footer on portal
Closed, ResolvedPublic

Description

Now that we have translations on the Wikipedia.org portal page - we'd like to extend that to the text in the legal footer as well.

These three phrases will need to be added to translatewiki to be translated - text only - into the various hundreds of languages, as can be done:

  • This page is available under the Creative Commons Attribution-ShareAlike License.
  • Terms of Use
  • Privacy Policy

Event Timeline

debt created this task.Dec 20 2016, 5:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2016, 5:06 PM
debt triaged this task as Normal priority.Dec 20 2016, 5:07 PM
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.
Gnom1 added a subscriber: Gnom1.Dec 20 2016, 10:22 PM

Change 333957 had a related patch set uploaded (by Jdrewniak):
Adding app link text and legal footer to translation

https://gerrit.wikimedia.org/r/333957

Change 333957 merged by jenkins-bot:
Adding app link text and legal footer to translation

https://gerrit.wikimedia.org/r/333957

debt added a subscriber: mxn.Feb 1 2017, 1:59 AM

Thanks, @mxn !

debt moved this task from In Progress to Backlog on the Discovery-Portal-Sprint board.
debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.
debt closed this task as Resolved.Mar 3 2017, 4:06 PM
debt claimed this task.
Gnom1 added a comment.Mar 4 2017, 1:57 PM

Sorry, but it appears to me that the entire wikipedia.org page is shown in English again, except for the title above the puzzle globe ("Wikipedia The free encyclopedia", which is shown in German to me).

debt reassigned this task from debt to Jdrewniak.EditedMar 6 2017, 6:15 PM
debt raised the priority of this task from Normal to Unbreak Now!.
debt removed a project: Patch-For-Review.
debt moved this task from Done to In Progress on the Discovery-Portal-Sprint board.

This isn't good - here's a screen shot of my browser's preferred language set to French where it is displaying correctly.


But, when switching my browser to German - it's not showing the translations properly:

Could this be due to a bot update that was done a little while ago?

This is happening in various languages - Chinese (simplified) is also not showing translations that were there before, but Arabic seems to be displaying the translations that currently exist (they have a few missing ones).

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 6 2017, 6:15 PM
debt reopened this task as Open.Mar 6 2017, 6:16 PM

@debt Once again these caching issues.
The language files for some languages are cached as 404s, so the webpage falls back to english.

See for Deutsch:

French, however, works: https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fr-857bf7dc.json

This is a very problematic issue.

Could this be due to a bot update that was done a little while ago?

No, that's unrelated. (see above)

debt added a comment.EditedMar 7 2017, 1:32 AM

So, we have to wait 24 hours until the cache gets cleared, @JGirault or we manually clear it, right?
Thanks for looking at this issue!

This issue should be resolved now.

debt closed this task as Resolved.Mar 15 2017, 7:33 PM